classification
Title: tkinter canvas lacks of moveto method.
Type: enhancement Stage: resolved
Components: Tkinter Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: j-4321-i, mkiever, mps, serhiy.storchaka, terry.reedy, zaazbb
Priority: normal Keywords: patch

Created on 2015-03-31 20:15 by mps, last changed 2018-10-12 16:44 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 9768 merged j-4321-i, 2018-10-09 13:55
Messages (6)
msg239745 - (view) Author: (mps) Date: 2015-03-31 20:15
I apologize if it has already been reported but I was unable to find similar issue reported using "search".

Maybe just add:
    def moveto(self, tagOrId, xPos, yPos):
        """Move the items given by tagOrId in the canvas coordinate  
        space so that the first coordinate pair of the bottommost 
        item with tag tagOrId is located at position (xPos,yPos). 
        xPos and yPos may be the empty string, in which case the        
        corresponding coordinate will be unchanged. All items matching
        tagOrId remain in the same positions relative to each other.    
        This command returns an empty string. 
        """
        return self.tk.call(self._w, 'moveto', tagOrId, xPos, yPos)
msg273850 - (view) Author: zaazbb (zaazbb) Date: 2016-08-29 07:32
i met the same problem, when i translate knighstour.tcl(upder tk demos dir) to tkinter.
msg327399 - (view) Author: Juliette Monsel (j-4321-i) * Date: 2018-10-09 13:10
I am willing to create a pull request with the code provided in msg239745 , to add tests and a what's new entry. However I am not sure about how to acknowledge the contribution of msg239745's author.
msg327400 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-09 13:28
I think you can be attributed as the only author. A PR should contain more than just changes in tkinter/__init__.py (tests, documentation changes). And the code can be different than proposed in msg239745. Since this command doesn't return anything meaningful, I suggest to remove "return" and the last sentence in the docstring.
msg327435 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-10-09 20:42
+1 on adding this.

We can and sometimes do acknowledge an initial author in the commit message and blurb.  In this case, there is no name, so it would be "Based on patch by 'mps'."
msg327597 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-10-12 16:44
New changeset bf034715db9d6e1603ea432d40041e5577ed3332 by Serhiy Storchaka (Juliette Monsel) in branch 'master':
bpo-23831: Add moveto method to the tkinter.Canvas widget. (GH-9768)
https://github.com/python/cpython/commit/bf034715db9d6e1603ea432d40041e5577ed3332
History
Date User Action Args
2018-10-12 16:44:47serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-10-12 16:44:15serhiy.storchakasetmessages: + msg327597
2018-10-09 20:42:28terry.reedysetmessages: + msg327435
2018-10-09 13:55:53j-4321-isetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request9155
2018-10-09 13:28:45serhiy.storchakasetstage: test needed -> needs patch
versions: + Python 3.8, - Python 3.5
2018-10-09 13:28:24serhiy.storchakasetmessages: + msg327400
2018-10-09 13:10:35j-4321-isetmessages: + msg327399
2018-10-08 20:18:31j-4321-isetnosy: + j-4321-i
2018-06-10 20:34:38mkieversetnosy: + mkiever
2016-08-29 07:32:57zaazbbsetnosy: + zaazbb
messages: + msg273850
2015-04-03 21:38:51terry.reedysetstage: test needed
2015-04-03 21:38:43terry.reedysetnosy: + terry.reedy, serhiy.storchaka

versions: + Python 3.5, - Python 3.4
2015-03-31 20:15:32mpscreate